
Redmine - Feature #1007

Create project for no administrator user

2008-04-07 04:19 - Edison Rodas

Status: Closed Start date: 2008-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

A new feature is need. Can create a project by a no administrator user

Related issues:

Related to Redmine - Defect #23470: Disable "Select project modules" permissi... Closed

Associated revisions

Revision 2750 - 2009-05-17 14:59 - Jean-Philippe Lang

Ability to allow non-admin users to create projects (#1007).

This can be enabled in permissions settings. A non-admin user who creates a project is automatically added as a project member (the first role is

given, TODO: make this given role configurable).

Projects can be added from the public projects list.

Revision 2754 - 2009-05-17 16:35 - Jean-Philippe Lang

Adds a setting to choose which role is given to a non-admin user who creates a project (#1007).

History

#1 - 2008-04-07 20:08 - Jean-Philippe Lang

- Target version deleted (0.7)

It can be usefull indeed. Maybe in a future release.

#2 - 2008-05-25 13:25 - Thomas Capricelli

Yes, definitely a request by lot of people on the forum. I support this feature request as well.

greatings.

#3 - 2008-05-26 17:52 - Paul Rivier

I just want to add my voice. It would be handy to have a role between project-manager and admin. Something like "redmine-manager", who could

create new projects, new users, manage roles and workflow, but who could not change system settings.

regards,

#4 - 2008-08-26 03:00 - Aleksey Ryazhskih

We have chosen redmine because it works easy with huge amount of small projects.  In our organization project managers write letters to admin for

new project creation. It is not very usable. I mean, that redmine needs for form for admin project approvement. Or smth like this.

#5 - 2008-11-16 10:30 - Jeroen van Wissen

I'd really like to see this in redmine too.

But it looks like it won't be there anytime soon, this "issue" is over a half year old now..?

#6 - 2008-11-21 20:25 - mizi pzor

My team just installed redmine, we like it so far but this is one of the missed features. The new proposed role of "redmine-manager" is something I

agree fully with. Added to watched tickets.

#7 - 2008-12-11 19:01 - Mike Davis

I did not see this in the changelog.  Did this feature make it into .8.0?
#8 - 2008-12-11 20:01 - Thomas Capricelli

Mike Davis wrote:

I did not see this in the changelog.  Did this feature make it into .8.0?

 the status is still 'open', so obviously not :-)

#9 - 2009-05-15 05:56 - Steve Cundy

- File index.rhtml.patch added

- File projects_controller.rb.patch added

We are rolling out redmine on our university campus and in our environment any authenticated user can create a project.  With a little tweaking I

managed to modify the code to fit our needs so any authenticated user can create a new project (and the person that creates the project becomes the

admin.  I am guessing that someone can modify it a little more to accept any authenticated user that is member of a specific group can create

projects.  At any rate, here are the patch files in case they are of use to someone.  The version we are currently using is 0.8.3.

index.rhtml is found in redmine/app/views/projects/

projects_controller.rb is found under redmine/app/controllers

#10 - 2009-05-17 14:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r2750 with role-based permission.

#11 - 2009-05-26 20:46 - S C

Sorry, maybe there's a point I'm missing, but how can a user get the role without being member of an existing project.

AFAIK the roles can only be given per project. So, is there any way to give this permission to a user that is not member of any project ?

Thanks

#12 - 2009-05-26 23:01 - Thomas Capricelli

yes, i find it weird too.

I'm using it here. What I do is that some people are managers on some projects. And the manager role has this permission set to 'yes'. As such, those

people do indeed have access to 'create a new project' on the /projects page. I guess it is not possible for a new user who has no role yet to have

such possibility.

#13 - 2009-05-27 10:01 - S C

In my case, I don't want those user to be on an existing project since they are not concerned by it...

An option is to create a fack project to give this permission but I think it's as stupid as it sounds...

A nice alternative would be to provide this option directly at users level (like admin) or to think about global roles...

#14 - 2009-12-13 14:45 - Balaji K

Hi Steve Cundy and Others

I use Redmine 0.8.7 and applied Steve's patch to let all authenticated users to create a new project.

After, when I login as a normal user and try to add a new project, I get:

403

You are not authorized to access this page.

Can you please help to understand the reason.

#15 - 2009-12-13 17:20 - Balaji K

It works as expected after some time.

I am not sure but few changes work either after a restart of the webrick or some time of inactivity.

Thanks Steve for a quick patch, I did not have to upgrade my version.

#16 - 2016-08-24 04:10 - Toshi MARUYAMA

- Related to Defect #23470: Disable "Select project modules" permission does not apply to the new project form added
Files

index.rhtml.patch 630 Bytes 2009-05-15 Steve Cundy

projects_controller.rb.patch 1.18 KB 2009-05-15 Steve Cundy
